Subject: Re: bug#55499: excessively large manifests due to propagation

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 Jun 2022 09:06:48 +0200

Hey Ricardo,

Ludovic Courtès <[email-masked]> skribis:

> These patches implement what you suggested on IRC: not repeating
> entire manifest entries and their propagated inputs.  This has a
> dramatic impact on the size of the ‘manifest’ file and on the memory
> and processing time to read it for the the use case you gave.
>
> The second patch goes a tiny bit further by making the ‘search-paths’
> and ‘propagated-inputs’ fields optional, shaving another ~10% on the
> size of ‘manifest’ in this example.
>
> The second patch should be squashed with the first one (so we don’t
> bump version formats a second time and duplicate code).  It’s kinda
> optional because it doesn’t bring much compared to the first patch and
> causes a bit of extra complexity, but maybe it’s still worth keeping?
>
> Could you try this on your larger use cases and tell me how it goes?

Did you have a chance to give it a try?

Maybe I can double-check that everything’s alright and go ahead.

Thanks,
Ludo’.